Bug 304731 - nash segfaults in paravirtual xen x86_64
Summary: nash segfaults in paravirtual xen x86_64
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-25 11:09 UTC by Harald Hoyer
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-26 10:35:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the segfault (556 bytes, text/plain)
2007-09-25 11:48 UTC, Harald Hoyer
no flags Details

Description Harald Hoyer 2007-09-25 11:09:26 UTC
Description of problem:
nash segfaults in paravirtual xen x86_64

Version-Release number of selected component (if applicable):
mkinitrd-6.0.17-1.fc8


xen-vbd: registered block device major 202
^Mblkfront: xvda: barriers enabled
^M xvda: xvda1 xvda2
^MLoading dm-mod.ko module
device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
^MLoading dm-mirror.ko module
Loading dm-zero.ko module
Loading dm-snapshot.ko module
Making device-mapper control node
init[1]: segfault at 0000000000000028 rip 00002aaaaacd3f26 rsp 00007fff1a131cd0
error 4
^Mnash received SIGSEGV!  Backtrace (8):
/bin/nash[0x40c7c9]
/lib64/libc.so.6[0x2aaaad243bd0]
/usr/lib64/libnash.so.6.0.17(nashBdevIterNext+0x12a)[0x2aaaaacd3f26]
/bin/nash[0x40bb9e]
/bin/nash[0x40c67c]
/bin/nash[0x40ccb2]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x2aaaad230ff4]
/bin/nash[0x404179]
init[1]: segfault at 0000000000000028 rip 00002aaaaacd3f26 rsp 00007fff1a131cd0
error 4


Last message repeats infinitly

Comment 1 Harald Hoyer 2007-09-25 11:40:17 UTC
            case POLLING:
                timeout = iter->timeout;
                if (block_process_one_uevent(iter->nc, &timeout, &node) > 0) {
->>>>                    *dev = node->bdev;
                    return 1;
                }

Comment 2 Harald Hoyer 2007-09-25 11:43:03 UTC
nash/block.c:564 

Comment 3 Harald Hoyer 2007-09-25 11:48:11 UTC
Created attachment 205371 [details]
patch to fix the segfault

Comment 4 Peter Jones 2007-09-25 13:35:34 UTC
Thanks, fixed in 6.0.18-1 .


Note You need to log in before you can comment on or make changes to this bug.